/*
Simple Example Code to demonstrate controlling a motor with the Arduino Motor Shield.  
This Code Turns the Motor on forward for 1 second and reverse for 1 second.
Additionally, this code includes a 100ms safety delay when changing directions.

This code was written for an Allaboutciricuts.com article by Alex Udanis
*/


void setup() {
  pinMode(12,OUTPUT);     //Channel A Direction Pin Initialize
}

void loop() {
  
  analogWrite(3, 0);      //Channel A Speed 0%
  delay(100);             //100ms Safety Delay
  digitalWrite(12, HIGH); //Channel A Direction Forward
  analogWrite(3, 255);    //Channel A Speed 100%
  delay(1000);            //1 Second Delay
  
  analogWrite(3, 0);      //Channel A Speed 0%
  delay(100);             //100ms Safety Delay
  digitalWrite(12, LOW);  //Channel A Direction Reverse
  analogWrite(3, 255);    //Channel A Speed 100%
  delay(1000);
  
}
