/*
This is a simple project with the Arduino Motor Shield.  
This code turns the Motor on and adjusts the speed according the position of the potentiometer 

The wiper of the potentiometer gets attached to pin A2 on the Arduino. 

This code was written for an Allaboutciricuts.com article by Alex Udanis

*/


void setup() {  
  pinMode(12,OUTPUT);     //Channel A Direction Pin Initialize
}

void loop() {
  
  if (analogRead(A2) > 512)
  {
    digitalWrite(12, HIGH); //Channel A Direction Forward
    analogWrite(3, 0.5*analogRead(A2)-255);  //Channel A Speed 
  }
  
  if(analogRead(A2) <= 512) 
  {
    digitalWrite(12, LOW); //Channel A Direction Reverse
    analogWrite(3, 255-0.5*analogRead(A2));  //Channel B Speed    
  }
  
}
